
Redmine - Feature #12125

Set filename used to store attachment updloaded via the REST API

2012-10-17 13:30 - Hannes Meier

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 2.2.0   

Resolution: Fixed   

Description

i upload a lot of jpegs for every project via rest-api.

When a project it finished it would be great if i could zip the projectattachements.

Therefore it would be great if my uploadfilenames would be adoptet for the files.

At the moment my api-uploaded files have a timestamp (and the token?) as filename. Even no fileextension.

121009092213_4665b2f7563a436f5f33df856cd9fe8d

Manually uploaded files have the timestamp and their uploadedname, like:

121015105646_X01_010_010.jpg

Am i using the rest-api wrong or is this feature not included yet?

my reduced python example:

url = self.__url("uploads.json")

headers = {'content-type': 'application/octet-stream'}

data = open(attachment).read()

r = requests.post(url, data = data, headers = headers)

token = json.loads(r.text)

token = token['upload']['token']

 and

payload = dict(

    issue = dict (

        uploads = dict (

            upload = dict (

                token = token,

                filename = filename,

                ),

            ),

    )

)

r = requests.put(self.__url("issues/"+str(ticketid)+".json"), data = json.dumps(payload), headers 

= self.header)

Related issues:

Related to Redmine - Defect #30428: API upload documentation is wrong Closed

Associated revisions

Revision 10678 - 2012-10-18 23:06 - Jean-Philippe Lang

Let the attachment filename be specified on upload (#12125).

History

#1 - 2012-10-18 23:00 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from REST-API: Own Filename for uploaded files via API to Set filename used to store attachment updloaded via the REST API
- Assignee set to Jean-Philippe Lang

- Target version set to 2.2.0

There's no option for now to set the actual file name of the attachment when uploading via the rest API.

#2 - 2012-10-18 23:08 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Implemented in r10678. You can now POST to /uploads.xml?filename=image.jpeg to set the filename of your attachment on the file system.

#3 - 2012-10-22 13:15 - Hannes Meier

wow! that was fast!

thank you very much.

great help!

#4 - 2016-02-04 12:15 - Simple Dino

It would be really great to update the documentation ;)

#5 - 2019-01-15 00:41 - Go MAEDA

- Related to Defect #30428: API upload documentation is wrong added
